SDL_Touch Struct Reference

`#include <SDL_touch_c.h>`

Collaboration diagram for SDL_Touch:
[legend]

## Data Fields

SDL_TouchID | id
SDL_TouchDeviceType | type
int | num_fingers
int | max_fingers
SDL_Finger ** | fingers

## Detailed Description

Definition at line 27 of file SDL_touch_c.h.

## Field Documentation

## fingers

SDL_Finger** SDL_Touch::fingers

Definition at line 33 of file SDL_touch_c.h.

Referenced by SDL_AddFinger(), SDL_AddTouch(), SDL_DelFinger(), SDL_DelTouch(), SDL_GetFinger(), SDL_GetFingerIndex(), and SDL_GetTouchFinger().

## id

SDL_TouchID SDL_Touch::id

Definition at line 29 of file SDL_touch_c.h.

Referenced by SDL_AddTouch(), SDL_GetTouchDevice(), and SDL_GetTouchIndex().

## max_fingers

int SDL_Touch::max_fingers

Definition at line 32 of file SDL_touch_c.h.

Referenced by SDL_AddFinger(), SDL_AddTouch(), and SDL_DelTouch().

## num_fingers

int SDL_Touch::num_fingers

Definition at line 31 of file SDL_touch_c.h.

Referenced by SDL_AddFinger(), SDL_AddTouch(), SDL_DelFinger(), SDL_GetFinger(), SDL_GetFingerIndex(), SDL_GetNumTouchFingers(), and SDL_GetTouchFinger().

## type

SDL_TouchDeviceType SDL_Touch::type

Definition at line 30 of file SDL_touch_c.h.

Referenced by SDL_AddTouch(), and SDL_GetTouchDeviceType().

The documentation for this struct was generated from the following file:

- src/events/SDL_touch_c.h